Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class JDKAlgorithmParameters.PKCS12PBE

    java.lang.Object
      java.security.AlgorithmParametersSpi
          org.bouncycastle.jce.provider.JDKAlgorithmParameters
              org.bouncycastle.jce.provider.JDKAlgorithmParameters.PKCS12PBE

Enclosing class:
  JDKAlgorithmParameters

public static class JDKAlgorithmParameters.PKCS12PBE
extends JDKAlgorithmParameters

Nested Class Summary

Nested classes inherited from class org.bouncycastle.jce.provider.JDKAlgorithmParameters
`JDKAlgorithmParameters.CAST5AlgorithmParameters, JDKAlgorithmParameters.DH, JDKAlgorithmParameters.DSA, JDKAlgorithmParameters.ElGamal, JDKAlgorithmParameters.IDEAAlgorithmParameters, JDKAlgorithmParameters.IES, JDKAlgorithmParameters.IVAlgorithmParameters, JDKAlgorithmParameters.PKCS12PBE, JDKAlgorithmParameters.PSS, JDKAlgorithmParameters.RC2AlgorithmParameters`

Constructor Summary
`JDKAlgorithmParameters.PKCS12PBE()`

Method Summary
`protected byte[]` | `engineGetEncoded()`
`protected byte[]` | `engineGetEncoded(java.lang.String format)`
`protected java.security.spec.AlgorithmParameterSpec` | `engineGetParameterSpec(java.lang.Class paramSpec)`
`protected void` | `engineInit(java.security.spec.AlgorithmParameterSpec paramSpec)`
`protected void` | `engineInit(byte[] params)`
`protected void` | `engineInit(byte[] params, java.lang.String format)`
`protected java.lang.String` | `engineToString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDKAlgorithmParameters.PKCS12PBE

    public JDKAlgorithmParameters.PKCS12PBE()

Method Detail

### engineGetEncoded

    protected byte[] engineGetEncoded()

### engineGetEncoded

    protected byte[] engineGetEncoded(java.lang.String format)

### engineGetParameterSpec

    protected java.security.spec.AlgorithmParameterSpec engineGetParameterSpec(java.lang.Class paramSpec)
                                                                        throws java.security.spec.InvalidParameterSpecException

  Throws:
    `java.security.spec.InvalidParameterSpecException`

### engineInit

    protected void engineInit(java.security.spec.AlgorithmParameterSpec paramSpec)
                       throws java.security.spec.InvalidParameterSpecException

  Throws:
    `java.security.spec.InvalidParameterSpecException`

### engineInit

    protected void engineInit(byte[] params)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### engineInit

    protected void engineInit(byte[] params,
                              java.lang.String format)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### engineToString

    protected java.lang.String engineToString()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD